/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomCSSVariablesRule_H___INT_
#define __GdomCSSVariablesRule_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomCSSRule.h"
#include "GDOMObject.h"
#include "CSSVariablesRule.h"
G_BEGIN_DECLS
class GDOMCSSVariablesRule : public GDOMCSSRule {
    typedef GDOMCSSRule Base;
public:
    int get_gobj_type() { return GDOM_TYPE_CSS_VARIABLES_RULE; }
    GDOMCSSVariablesRule(PassRefPtr<WebCore::CSSVariablesRule> impl);
};
G_END_DECLS

#endif /* __GdomCSSVariablesRule_H___INT_*/
